using cuqmbr.TravelGuide.Application.Common.Models;
using MediatR;

namespace cuqmbr.TravelGuide.Application.Countries.Queries.GetCountriesPage;

public record GetCountriesPageQuery : IRequest<PaginatedList<CountryDto>>
{
    public int PageNumber { get; set; } = 1;

    public int PageSize { get; set; } = 10;

    public string Search { get; set; } = String.Empty;

    public string Sort { get; set; } = String.Empty;
}
