using cuqmbr.TravelGuide.Application.Authenticaion;

namespace cuqmbr.TravelGuide.Application.Common.Interfaces.Services;

public interface AuthenticationService
{
    Task RegisterAsync(string email, string password,
        CancellationToken cancellationToken);

    Task<TokensModel> LoginAsync(string email, string password,
        CancellationToken cancellationToken);

    Task<TokensModel> RenewAccessTokenAsync(string refreshToken,
        CancellationToken cancellationToken);

    Task RevokeRefreshTokenAsync(string refreshToken,
        CancellationToken cancellationToken);
}
